{
  "name": "@minimal-kit/vite-ts",
  "author": "Minimals",
  "version": "7.4.12",
  "description": "Vite & TypeScript",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "start": "vite preview",
    "build": "tsc && vite build",
    "lint": "eslint \"src/**/*.{js,jsx,ts,tsx}\"",
    "lint:fix": "eslint --fix \"src/**/*.{js,jsx,ts,tsx}\"",
    "lint:print": "npx eslint --print-config eslint.config.mjs > eslint-show-config.json",
    "fm:check": "prettier --check \"src/**/*.{js,jsx,ts,tsx}\"",
    "fm:fix": "prettier --write \"src/**/*.{js,jsx,ts,tsx}\"",
    "fix:all": "npm run lint:fix && npm run fm:fix",
    "clean": "rm -rf node_modules .next out dist build",
    "re:dev": "yarn clean && yarn install && yarn dev",
    "re:build": "yarn clean && yarn install && yarn build",
    "re:build-npm": "npm run clean && npm install && npm run build",
    "tsc:dev": "yarn dev & yarn tsc:watch",
    "tsc:watch": "tsc --noEmit --watch",
    "tsc:print": "npx tsc --showConfig",
    "serve:web": "npm install && npm run build && pm2 startOrRestart ecosystem.config.cjs --env production",
    "deploy:prod": "node ./scripts/zero-dowtime/deploy.js production",
    "deploy:dev": "node ./scripts/zero-dowtime/deploy.js development",
    "health": "node ./scripts/zero-dowtime/utils.js health-check",
    "rollback": "node ./scripts/zero-dowtime/utils.js development",
    "status": "node ./scripts/zero-dowtime/utils.js development",
    "utils": "node ./scripts/zero-dowtime/utils.js"
  },
  "engines": {
    "node": ">=20"
  },
  "packageManager": "yarn@1.22.22",
  "dependencies": {
    "@atlaskit/pragmatic-drag-and-drop": "^1.7.4",
    "@atlaskit/pragmatic-drag-and-drop-auto-scroll": "^2.1.1",
    "@atlaskit/pragmatic-drag-and-drop-hitbox": "^1.1.0",
    "@auth0/auth0-react": "^2.4.0",
    "@emotion/cache": "^11.14.0",
    "@emotion/react": "^11.14.0",
    "@emotion/styled": "^11.14.1",
    "@fontsource-variable/dm-sans": "^5.2.6",
    "@fontsource-variable/inter": "^5.2.6",
    "@fontsource-variable/nunito-sans": "^5.2.6",
    "@fontsource-variable/public-sans": "^5.2.6",
    "@fontsource/barlow": "^5.2.6",
    "@fullcalendar/core": "^6.1.18",
    "@fullcalendar/daygrid": "^6.1.18",
    "@fullcalendar/interaction": "^6.1.18",
    "@fullcalendar/list": "^6.1.18",
    "@fullcalendar/react": "^6.1.18",
    "@fullcalendar/timegrid": "^6.1.18",
    "@fullcalendar/timeline": "^6.1.18",
    "@hookform/resolvers": "^5.2.1",
    "@iconify/react": "^6.0.0",
    "@mui/icons-material": "^7.3.2",
    "@mui/lab": "^7.0.0-beta.17",
    "@mui/material": "^7.3.1",
    "@mui/stylis-plugin-rtl": "^7.3.1",
    "@mui/x-data-grid-premium": "^8.11.3",
    "@mui/x-date-pickers": "^8.9.2",
    "@mui/x-tree-view": "^8.9.2",
    "@react-pdf/renderer": "^4.3.0",
    "@reduxjs/toolkit": "^2.9.0",
    "@supabase/supabase-js": "^2.54.0",
    "@tanstack/react-query": "^5.90.5",
    "@tanstack/react-query-devtools": "^5.90.2",
    "@tiptap/extension-bubble-menu": "^3.0.9",
    "@tiptap/extension-code-block-lowlight": "^3.0.9",
    "@tiptap/extension-image": "^3.0.9",
    "@tiptap/extension-text-align": "^3.0.9",
    "@tiptap/extensions": "^3.0.9",
    "@tiptap/pm": "^3.0.9",
    "@tiptap/react": "^3.0.9",
    "@tiptap/starter-kit": "^3.0.9",
    "apexcharts": "^5.3.2",
    "autosuggest-highlight": "^3.3.4",
    "aws-amplify": "^6.15.5",
    "axios": "^1.11.0",
    "dayjs": "^1.11.13",
    "dotenv": "^17.2.3",
    "embla-carousel": "^8.6.0",
    "embla-carousel-auto-height": "^8.6.0",
    "embla-carousel-auto-scroll": "^8.6.0",
    "embla-carousel-autoplay": "^8.6.0",
    "embla-carousel-fade": "^8.6.0",
    "embla-carousel-react": "^8.6.0",
    "es-toolkit": "^1.39.8",
    "firebase": "^12.1.0",
    "framer-motion": "^12.23.12",
    "i18next": "^25.3.2",
    "i18next-browser-languagedetector": "^8.2.0",
    "i18next-resources-to-backend": "^1.2.1",
    "lodash": "^4.17.21",
    "lowlight": "^3.3.0",
    "maplibre-gl": "^5.6.2",
    "minimal-shared": "^1.0.15",
    "mui-one-time-password-input": "^5.0.0",
    "notistack": "^3.0.2",
    "nprogress": "^0.2.0",
    "react": "^19.1.1",
    "react-apexcharts": "^1.7.0",
    "react-dom": "^19.1.1",
    "react-dropzone": "^14.3.8",
    "react-hook-form": "^7.62.0",
    "react-i18next": "^15.6.1",
    "react-map-gl": "^8.0.4",
    "react-markdown": "^10.1.0",
    "react-number-format": "^5.4.4",
    "react-organizational-chart": "^2.2.1",
    "react-phone-number-input": "^3.4.12",
    "react-redux": "^9.2.0",
    "react-router": "^7.8.0",
    "react-router-dom": "^7.9.3",
    "react-simple-captcha": "^9.3.1",
    "redux": "^5.0.1",
    "redux-persist": "^6.0.0",
    "rehype-highlight": "^7.0.2",
    "rehype-raw": "^7.0.0",
    "remark-gfm": "^4.0.1",
    "simplebar-react": "^3.3.2",
    "sonner": "^2.0.7",
    "stylis": "^4.3.6",
    "swr": "^2.3.4",
    "turndown": "^7.2.0",
    "yet-another-react-lightbox": "^3.25.0",
    "yup": "^1.7.1",
    "zod": "^4.0.15",
    "zustand": "^5.0.8"
  },
  "devDependencies": {
    "@eslint/js": "^9.32.0",
    "@types/autosuggest-highlight": "^3.2.3",
    "@types/jwt-decode": "^3.1.0",
    "@types/lodash": "^4.17.20",
    "@types/node": "^24.2.0",
    "@types/nprogress": "^0.2.3",
    "@types/react": "^19.2.7",
    "@types/react-dom": "^19.1.7",
    "@types/stylis": "^4.2.7",
    "@types/turndown": "^5.0.5",
    "@types/yup": "^0.32.0",
    "@typescript-eslint/parser": "^8.39.0",
    "@vitejs/plugin-react-swc": "^4.0.0",
    "eslint": "^9.32.0",
    "eslint-import-resolver-typescript": "^4.4.4",
    "eslint-plugin-import": "^2.32.0",
    "eslint-plugin-perfectionist": "^4.15.0",
    "eslint-plugin-react": "^7.37.5",
    "eslint-plugin-react-hooks": "^5.2.0",
    "eslint-plugin-unused-imports": "^4.1.4",
    "globals": "^16.3.0",
    "prettier": "^3.6.2",
    "typescript": "^5.9.2",
    "typescript-eslint": "^8.39.0",
    "vite": "^7.1.1",
    "vite-plugin-checker": "^0.10.2"
  }
}
